/*
 * grifo_inet.h
 *
 *  Created on: 03/ott/2017
 *      Author: chessaa
 */

#ifndef GRIFO_INET_H_
#define GRIFO_INET_H_

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

void grifo_inet_sock_initialize();

const char* grifo_inet_ip_string();
const char* grifo_inet_ip_broadcast_string();

uint32_t grifo_inet_ip();
uint32_t grifo_inet_ip_broadcast();

void grifo_inet_ip_set(const char* ip);

const char* grifo_inet_error_string(const char* prefix=0);
int grifo_inet_error_code();

#ifdef __cplusplus
}
#endif


#endif /* GRIFO_INET_H_ */
